BILLmanager Documentation

How to change the repository from beta to stable

ISPSystem

When you change the repository from stable to beta the control panel packages are updated to the version available in the beta repository. Switching from beta to stable will update the packages provided that the version in the stable repository is higher than the installed version. If the installed version is higher than the available one you cannot install modules in Integration → Modules. 

To avoid issues with the installation of modules:

  1. Navigate to Settings System configurationUpdate software automatically and select "do not update".  The current repository in the format  <version>-<repository>, e.g. "5.170.1-beta" will be added to /usr/local/mgr5/etc/repo.version.
  2. When the installed version of the control panel is available in the stable repository, change the repository from beta to stable:

echo 'stable' > /usr/local/mgr5/etc/repo.version
/usr/local/mgr5/sbin/licctl fetch billmgr --update license
Thank you for your feedback!
Was the article useful?
Tell us why not:

it does not match the title

it was hard to understand

I didn't find the answer

recommendations from the article did not help

other

Tell us what you didn't like in the article: